- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LobbyDB_PostgreSQL Class Reference

`#include <LobbyDB_PostgreSQL.h>`

List of all members.

## Public Member Functions
bool | CreateLobbyServerTables (void)
bool | DestroyLobbyServerTables (void)
virtual void | PushFunctor (LobbyDBFunctor *functor, void *context)
void | AssignCallback (LobbyDBCBInterface *cb)

## Detailed Description

Provides a central class for all LobbyServerDatabase functionality using the PostgreSQL interface If you are using more than one class that uses functionThreads, you should maintain this separately and call AssignFunctionThread() to avoid unnecessary threads.

## Member Function Documentation

bool LobbyDB_PostgreSQL::CreateLobbyServerTables | ( | void |  | ) |

Create the tables used by the ranking server, for all applications. Call this first. I recommend using UTF8 for the database encoding within PostgreSQL if you are going to store binary data

Returns:
  True on success, false on failure.

bool LobbyDB_PostgreSQL::DestroyLobbyServerTables | ( | void |  | ) |

Destroy the tables used by the ranking server. Don't call this unless you don't want to use the ranking server anymore, or are testing.

Returns:
  True on success, false on failure.

void LobbyDB_PostgreSQL::PushFunctor | ( | LobbyDBFunctor * | functor,
|  | void * | context |
| ) |  |  | `[virtual]`

Push one of the above *_PostgreSQLImpl functors to run.

Parameters:

  | functor | A structure allocated on the HEAP (using new) with the input parameters filled in.

void LobbyDB_PostgreSQL::AssignCallback | ( | LobbyDBCBInterface * | cb | ) |

Assigns a callback to get the results of processing.

Parameters:

  `[in]` | A | structure allocated on the HEAP (using new) with the input parameters filled in.

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/LobbyDB_PostgreRepository/LobbyDB_PostgreSQL.h
- C:/RakNet/DependentExtensions/Lobby/LobbyDB_PostgreRepository/LobbyDB_PostgreSQL.cpp